/** 
 *   e5850.h
 *
 *   5850 Absolute shaft encoder driver.
 *
 *   (c) Copyright 2003 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 **/

#ifndef _E5850_H
#define _E5850_H

#include <linux/ioctl.h>

#define NR_ENC 3          /* is not used in encoder5850.c */
#define E5850_DATA_LEN 16 /* " */

#define E5850_IOCTL_BASE     'e'

#define E5850_GETBUFFLEN        _IOR(E5850_IOCTL_BASE, 0, int)
#define E5850_CLEARBUFF         _IO(E5850_IOCTL_BASE, 1)
#define E5850_START             _IO(E5850_IOCTL_BASE, 2)
#define E5850_STOP              _IO(E5850_IOCTL_BASE, 3)
#define E5850_ISRUNNING         _IO(E5850_IOCTL_BASE, 4)


#endif  /* ifndef _E5850_H */
