/** 
 *   FIXME ....
 *
 *   (c) Copyright 2003 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include "encoders.h"

static int fd_local = -1;

int encoders_open(void)
{
	fd_local = open("/dev/e5850",O_RDONLY);
	return fd_local;
}

int encoders_close(void)
{
	int ret = close(fd_local);
	fd_local = -1;
	return ret;
}

int encoders_buff_len(void)
{
	int len = -1;
	if(fd_local){
		ioctl(fd_local, E5850_GETBUFFLEN, &len);
	}
	return len;
}

int encoders_clear_buff(void)
{
	if(fd_local)
		return ioctl(fd_local, E5850_CLEARBUFF);
	else
		return -1;
}

int encoders_is_running(void)
{
	if(fd_local)
		return ioctl(fd_local, E5850_ISRUNNING);
	else
		return -1;
}

int encoders_stop(void)
{
	if(fd_local)
		return ioctl(fd_local, E5850_STOP);
	else
		return -1;
}
	
int encoders_start(void)
{
	if(fd_local)
		return ioctl(fd_local, E5850_START);
	else
		return -1;
}

int encoders_get_raw_data(struct encoders_data *d)
{
	int i;
	char buff[E5850_DATA_LEN];
	char *np = buff;
	char *endp;
	
	if ( read(fd_local, buff, E5850_DATA_LEN) != E5850_DATA_LEN)
		return -1;
	printf("[%s]", buff);
	for(i=0;i<NR_ENC;i++){
		d->encoder[i] = (int) strtol(np, &endp, 16);
		np = endp + 1;
	}

	return 1;
}

